Bug 866350 - yum update fails due to inconsistency in packaged dependencies
yum update fails due to inconsistency in packaged dependencies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 02:53 EDT by redhat
Modified: 2013-08-01 04:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:09:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description redhat 2012-10-15 02:53:27 EDT
Description of problem:
yum is not able to update ffmpeg-libs which have been installed with the package motion.

Version-Release number of selected component (if applicable):
yum-3.4.3-29.fc17

How reproducible:
Install package motion 3.3.0-trunkREV534.fc17.2 from nonfree.rpmfusion.org, then run yum update.

Steps to Reproduce:
1. yum update ffmpeg-libs
2.
3.
  
Actual results:
# yum update ffmpeg-libs
Geladene Plugins: auto-update-debuginfo
Löse Abhängigkeiten auf
--> Führe Transaktionsprüfung aus
---> Paket ffmpeg-libs.i686 0:0.10.4-2.fc17 markiert, um aktualisiert zu werden
---> Paket ffmpeg-libs.i686 0:0.10.5-1.fc17 markiert, um an update zu werden
--> Abhängigkeitsauflösung beendet

Abhängigkeiten aufgelöst

================================================================================
 Package         Arch     Version              Repository                 Größe
================================================================================
Aktualisieren:
 ffmpeg-libs     i686     0.10.5-1.fc17        rpmfusion-free-updates     3.6 M

Vorgangsübersicht
================================================================================
Upgrade  1 Package

Gesamtgröße: 3.6 M
Ist dies in Ordnung? [j/N] :j
Lade Pakete herunter:
Running Transaction Check
ERROR with transaction check vs depsolve:
ffmpeg-libs <= %{evr} is obsoleted by (installed) libav-1:0.6.5-1.1.i686
Bitte melden Sie diesen Fehler unter https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
** 1 bereits bestehende(s) rpmdb Problem(e) gefunden, 'yum check' gibt Folgendes aus:


Expected results:


Additional info:
Comment 1 redhat 2012-10-15 02:55:07 EDT
Uninstalling ffmpeg-libs fails with:

# rpm -ev ffmpeg-libs
Fehler: Fehlgeschlagende Abhängigkeiten:
        libavcodec.so.53 wird benötigt von (installiert) motion-3.3.0-trunkREV534.fc17.2.i686
        libavcodec.so.53 wird benötigt von (installiert) libquicktime-1.2.4-1.fc17.i686
        libavcodec.so.53(LIBAVCODEC_53) wird benötigt von (installiert) motion-3.3.0-trunkREV534.fc17.2.i686
        libavcodec.so.53(LIBAVCODEC_53) wird benötigt von (installiert) libquicktime-1.2.4-1.fc17.i686
        libavformat.so.53 wird benötigt von (installiert) motion-3.3.0-trunkREV534.fc17.2.i686
        libavformat.so.53(LIBAVFORMAT_53) wird benötigt von (installiert) motion-3.3.0-trunkREV534.fc17.2.i686
        libavutil.so.51 wird benötigt von (installiert) motion-3.3.0-trunkREV534.fc17.2.i686
        libavutil.so.51(LIBAVUTIL_51) wird benötigt von (installiert) motion-3.3.0-trunkREV534.fc17.2.i686
        libswscale.so.2 wird benötigt von (installiert) libquicktime-1.2.4-1.fc17.i686
        libswscale.so.2(LIBSWSCALE_2) wird benötigt von (installiert) libquicktime-1.2.4-1.fc17.i686
Comment 2 Fedora End Of Life 2013-07-03 22:21:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 04:09:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.